import { Component, OnInit } from '@angular/core';
import { ExampleCodePreparationService } from '../../core/services/example-code-preparation.service';

declare function require(name: string): any;

export const templateExample = require('./<%= name %>-example/<%= name %>-example.component.html');
export const typescriptExample = require('raw-loader!./<%= name %>-example/<%= name %>-example.component.ts.snippet');

@Component({
  selector: 'app-<%= name %>',
  templateUrl: './<%= name %>-container.component.html'
})
export class <%= classify(name) %>ContainerComponent implements OnInit {
  escapedTemplate = "";
  escapedTS = "";

  constructor(private exampleCodePreparationService:ExampleCodePreparationService) {
  }

  ngOnInit(){
    this.escapedTemplate = this.exampleCodePreparationService.escapeCharactersForCodeSnippet(templateExample);
    this.escapedTS = this.exampleCodePreparationService.escapeCharactersForCodeSnippet(typescriptExample);
  }

  getEscapedTemplateExample(){
    return this.exampleCodePreparationService.escapeCharactersForCodeSnippet(templateExample);
  }
  getEscapedTypeScriptExample(){
    return this.exampleCodePreparationService.escapeCharactersForCodeSnippet(typescriptExample);
  }
}